
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT shim
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}
%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
Name:         kata-shim
Version:      1.7.3
Release:      1.0.4%{?dist}
#   0.20190702.git28eeada
Vendor:       Oracle America
Summary:      Shim component for Kata containers
Group:        Development/Tools
Url:          https://github.com/kata-containers/shim
License:      Apache-2.0
Source0:      %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: git
BuildRequires: golang >= 1.12.10

%global debug_package %{nil}

%description
As Kata containers are providing VM isolation the host container process reaper cannot monitor and reap the actual container process within that VM. The shim component implements forwarding of all signals the container process reaper decides to send to the container process.

%prep
%setup -q

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/%{name}-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make

%install
make install LIBEXECDIR=%{buildroot}%{LIBEXECDIR}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-containers
%{LIBEXECDIR}/kata-containers/kata-shim

%changelog
* Tue Oct 15 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.7.3-1.0.4
- Golang CVE-2019-16276

* Mon Oct 14 2019 Durai G <durai.vattakalvalasu.govindas@oracle.com> - 1.7.3-1.0.3
- added THIRD_PARTY_LICENSES.txt file

* Mon Aug 19 2019 Michael Calunod  <michael.calunod@oracle.com> - 1.7.3-1.0.2
- moved to semantic versioning for Release and added Url

* Wed Jul 10 2019 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.7.3-1
- Added Oracle Specific Build Files for kata-shim
